Anonymous Login
2018-05-23 18:11 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002030OpenClonkObjectspublic2018-04-18 10:05
ReporterPyrit 
Assigned ToLuchs 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version9.0 
Summary0002030: DFA_Push: Phase by XDIR not working
DescriptionProblem:
Objects that have a push action play the push animation even if they stand still.

Expected behaviour:
If these objects stand still, the animation should also not advance further, like it is the case with e.g. Walking and Scaling actions.

Fix:
I think it is relatively easy to fix. There is just a line missing in the code.
At this spot:
https://git.openclonk.org/openclonk.git/blob/75a82e172aa6a2d45cd28fbbca6fe349710561f0:/src/object/C4Object.cpp#l3640
add the line
iPhaseAdvance=0;
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0006181

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/9a6772c27ecbb4b5d2abc8d20d6b6d3d00c9252e

Changeset 9a6772c by Lukas Werling <lukas.werling@gmail.com>
Fix phase by xdir for DFA_Push (0002030)

~0006184

Luchs (administrator)

I pushed your fix.
+Notes

-Issue History
Date Modified Username Field Change
2018-04-14 14:12 Pyrit New Issue
2018-04-18 10:03 occ Note Added: 0006181
2018-04-18 10:05 Luchs Assigned To => Luchs
2018-04-18 10:05 Luchs Status new => resolved
2018-04-18 10:05 Luchs Resolution open => fixed
2018-04-18 10:05 Luchs Fixed in Version => 9.0
2018-04-18 10:05 Luchs Note Added: 0006184
+Issue History